Loading...
Searching...
No Matches
CLI::FormatterLambda Class Referencefinal

This is a specialty override for lambda functions. More...

`#include <FormatterFwd.hpp>`

Inheritance diagram for CLI::FormatterLambda:

## Public Member Functions

| FormatterLambda (funct_t funct)
| Create a FormatterLambda with a lambda function.
| ~FormatterLambda () noexcept override
| Adding a destructor (mostly to make GCC 4.7 happy).
std::string | make_help (const App *app, std::string name, AppFormatMode mode) const override
| This will simply call the lambda function.
Public Member Functions inherited from CLI::FormatterBase
| FormatterBase ()=default
| FormatterBase (const FormatterBase &)=default
| FormatterBase (FormatterBase &&)=default
FormatterBase & | operator= (const FormatterBase &)=default
FormatterBase & | operator= (FormatterBase &&)=default
virtual | ~FormatterBase () noexcept
| Adding a destructor in this form to work around bug in GCC 4.7.
void | label (std::string key, std::string val)
| Set the "REQUIRED" or other labels.
void | column_width (std::size_t val)
| Set the left column width (options/flags/subcommands).
void | long_option_alignment_ratio (float ratio)
void | right_column_width (std::size_t val)
| Set the right column width (description of options/flags/subcommands).
void | description_paragraph_width (std::size_t val)
| Set the description paragraph width at the top of help.
void | footer_paragraph_width (std::size_t val)
| Set the footer paragraph width.
void | enable_description_formatting (bool value=true)
| enable formatting for description paragraph
void | enable_footer_formatting (bool value=true)
| disable formatting for footer paragraph
CLI11_NODISCARD std::string | get_label (std::string key) const
| Get the current value of a name (REQUIRED, etc.).
CLI11_NODISCARD std::size_t | get_column_width () const
| Get the current left column width (options/flags/subcommands).
CLI11_NODISCARD std::size_t | get_right_column_width () const
| Get the current right column width (description of options/flags/subcommands).
CLI11_NODISCARD std::size_t | get_description_paragraph_width () const
| Get the current description paragraph width at the top of help.
CLI11_NODISCARD std::size_t | get_footer_paragraph_width () const
| Get the current footer paragraph width.
CLI11_NODISCARD bool | is_description_paragraph_formatting_enabled () const
| Get the current status of description paragraph formatting.
CLI11_NODISCARD bool | is_footer_paragraph_formatting_enabled () const
| Get the current status of whether footer paragraph formatting is enabled.

## Additional Inherited Members

Protected Attributes inherited from CLI::FormatterBase
std::size_t | column_width_ {30}
| The width of the left column (options/flags/subcommands).
float | long_option_alignment_ratio_ {1 / 3.f}
| The alignment ratio for long options within the left column.
std::size_t | right_column_width_ {65}
| The width of the right column (description of options/flags/subcommands).
std::size_t | description_paragraph_width_ {80}
| The width of the description paragraph at the top of help.
std::size_t | footer_paragraph_width_ {80}
| The width of the footer paragraph.
bool | enable_description_formatting_ {true}
| options controlling formatting for footer and descriptions
bool | enable_footer_formatting_ {true}
std::map< std::string, std::string > | labels_ {}
| The required help printout labels (user changeable) Values are Needs, Excludes, etc.

## Detailed Description

This is a specialty override for lambda functions.

## Constructor & Destructor Documentation

## FormatterLambda()

CLI::FormatterLambda::FormatterLambda | ( | funct_t | funct | ) |

inline explicit

Create a FormatterLambda with a lambda function.

## ~FormatterLambda()

CLI::FormatterLambda::~FormatterLambda | ( |  | ) |

inline override noexcept

Adding a destructor (mostly to make GCC 4.7 happy).

## Member Function Documentation

## make_help()

std::string CLI::FormatterLambda::make_help | ( | const App * | app,
|  | std::string | name,
|  | AppFormatMode | mode ) const

inline override virtual

This will simply call the lambda function.

Implements CLI::FormatterBase.

The documentation for this class was generated from the following file:

- include/CLI/FormatterFwd.hpp